i2p.susi.util

## Class OutputStreamBuffer

- java.lang.Object
- - i2p.susi.util.OutputStreamBuffer

- All Implemented Interfaces:
    Buffer

      public class OutputStreamBuffer
      extends Object
      implements Buffer

  Write-only Buffer implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputStreamBuffer(OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getInputStream()`
    `int` | `getLength()`
    `int` | `getOffset()`
    `OutputStream` | `getOutputStream()`
    `void` | `readComplete(boolean success)` Does nothing
    `String` | `toString()`
    `void` | `writeComplete(boolean success)` Closes the output stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputStreamBuffer

          public OutputStreamBuffer(OutputStream out)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `Buffer`
      Throws:
        `UnsupportedOperationException`

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in interface `Buffer`
      Returns:
        0 always

    - #### getOffset

          public int getOffset()

      Specified by:
        `getOffset` in interface `Buffer`
      Returns:
        0 always

    - #### getOutputStream

          public OutputStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `Buffer`
      Returns:
        the OutputStream

    - #### readComplete

          public void readComplete(boolean success)

      Does nothing
      Specified by:
        `readComplete` in interface `Buffer`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### writeComplete

          public void writeComplete(boolean success)

      Closes the output stream
      Specified by:
        `writeComplete` in interface `Buffer`
      Parameters:
        `success` - if false, deletes any resources